require 'telegram/params/shared/user_component'

module Telegram
  module Params
    class ForwardFrom < UserComponent
      def initialize(params)
        message = params.require(:message)
        @params = message[:forward_from]
        # If from exist then return nil 
        return nil if @params.blank?

        forward_from_params = message.require(:forward_from)
        super(forward_from_params)
      end

      def nil?
        super || @params.nil?
      end
    end
  end
end