module Telegram
  class URL
    def initialize(token)
      @BASE_URL = "https://api.telegram.org/bot#{token}".freeze
    end

    def send_message
      [@BASE_URL, 'sendMessage'].join('/')
    end

    def forward_message
      [@BASE_URL, 'forwardMessage'].join('/')
    end

    def send_photo
      [@BASE_URL, 'sendPhoto'].join('/')
    end
  end
end